package com.jjt.emp.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.jjt.common.annotation.Excel;
import com.jjt.common.core.domain.BaseEntity;

/**
 * 员工排班明细对象 TWIN_EMP_DETAIL
 *
 * @author wukai
 * @date 2025-01-18
 */
public class TwinEmpDetail extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 明细ID */
    private Long detailId;

    /** 排班ID */
    @Excel(name = "排班ID")
    private Long empId;

    /** 姓名 */
    @Excel(name = "姓名")
    private String empName;

    /** 班组 */
    @Excel(name = "班组")
    private String empTeam;

    /** 机台号 */
    @Excel(name = "机台号")
    private String devices;

    public void setDetailId(Long detailId)
    {
        this.detailId = detailId;
    }

    public Long getDetailId()
    {
        return detailId;
    }
    public void setEmpId(Long empId)
    {
        this.empId = empId;
    }

    public Long getEmpId()
    {
        return empId;
    }
    public void setEmpName(String empName)
    {
        this.empName = empName;
    }

    public String getEmpName()
    {
        return empName;
    }
    public void setEmpTeam(String empTeam)
    {
        this.empTeam = empTeam;
    }

    public String getEmpTeam()
    {
        return empTeam;
    }
    public void setDevices(String devices)
    {
        this.devices = devices;
    }

    public String getDevices()
    {
        return devices;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("detailId", getDetailId())
            .append("empId", getEmpId())
            .append("empName", getEmpName())
            .append("empTeam", getEmpTeam())
            .append("devices", getDevices())
            .append("remark", getRemark())
            .toString();
    }
}
